with GNATCOM.Errors;

package body MSHTML.IHTMLPainterOverlay_Interface is

   procedure Initialize (This : in out IHTMLPainterOverlay_Type) is
   begin
      Set_IID (This, IID_IHTMLPainterOverlay);
   end Initialize;

   function Pointer (This : IHTMLPainterOverlay_Type)
     return Pointer_To_IHTMLPainterOverlay
   is
   begin
      return To_Pointer_To_IHTMLPainterOverlay (Address (This));
   end Pointer;

   procedure Attach (This    : in out IHTMLPainterOverlay_Type;
                     Pointer : in     Pointer_To_IHTMLPainterOverlay)
   is
   begin
      Attach (This, GNATCOM.IInterface.To_Pointer_To_IUnknown
              (Pointer.all'Address));
   end Attach;

   procedure onmove
     (This     : IHTMLPainterOverlay_Type;
      rcDevice : tagRECT)
   is
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.onmove
         (Pointer (This),
          rcDevice));

   end onmove;

end MSHTML.IHTMLPainterOverlay_Interface;

